Bug 1326101 - Reword taxonomy orphans validation error [NEEDINFO]
Summary: Reword taxonomy orphans validation error
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Organizations and Locations
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
low
medium vote
Target Milestone: Unspecified
Assignee: Lukas Zapletal
QA Contact: Katello QA List
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-04-11 20:13 UTC by Elyézer Rezende
Modified: 2019-09-26 13:59 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-14 17:21:20 UTC
Target Upstream Version:
lzap: needinfo? (mmccune)


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 14583 0 None None None 2016-04-22 15:09:14 UTC

Description Elyézer Rezende 2016-04-11 20:13:36 UTC
Description of problem:
When trying to add a hostgroup to an organization using hammer it fails stating that "Locations you cannot remove locations that are used by hosts or inherited.".


Version-Release number of selected component (if applicable):
satellite-6.2.0-7.0.beta.el7sat.noarch

How reproducible:
Always

Steps to Reproduce:
        1. Create a new user with admin permissions
        2. Using the new user from above
            1. Create a new organization
            2. Clone and upload manifest
            3. Create a new lifecycle environment
            4. Create a custom product
            5. Create a custom YUM repository
            6. Create a custom PUPPET repository
            7. Enable a RedHat repository
            8. Synchronize the three repositories
            9. Create a new content view
            10. Associate the three repositories to new content view
            11. Publish content view
            12. Promote content view to the lifecycle environment
            13. Create a new activation key
            14. Add the products to the activation key
            15. Create a new libvirt compute resource
            16. Create a new subnet
            17. Create a new domain
            18. Create a new hostgroup and associate previous entities to it

OBS.: All steps add the created entities to the Organization create on step 2.1.

Actual results:
Adding the hostgroup to the organization fails stating that "Locations you cannot remove locations that are used by hosts or inherited.".

Expected results:
The hostgroup is added to the organization.

Additional info:

Log with all commands run:

# LANG=en_US.UTF-8  hammer -v -u admin -p changeme --output=csv user create --login="e6gnfe" --admin="true" --auth-source-id="1" --lastname="TuVJFfS7Mm" --mail="e6gnfe@example.com" --password="Vm59H6mWYc" --firstname="7kv9gUOnvR"
Message,Id
User [e6gnfe] created,15

# LANG=en_US.UTF-8  hammer -v -u admin -p changeme  user info --id="15"
Id:                   15
Login:                e6gnfe
Name:                 7kv9gUOnvR TuVJFfS7Mm
Email:                e6gnfe@example.com
Admin:                yes
Authorized by:        Internal
Locale:               default
Timezone:             default
Last login:           
Default organization: 
Default location:     
Roles:                
    Anonymous
User groups:          

Created at:           2016/04/11 20:04:34
Updated at:           2016/04/11 20:04:34


# LANG=en_US.UTF-8  hammer -v -u e6gnfe -p Vm59H6mWYc --output=csv organization create --name="yY9SiN5xbt"
Message,Id,Name
Organization created,144,yY9SiN5xbt

# LANG=en_US.UTF-8  hammer -v -u e6gnfe -p Vm59H6mWYc  organization info --id="144"
Id:                     144
Name:                   yY9SiN5xbt
Users:                  

Smart proxies:          
    rhsm-qe-4.rhq.lab.eng.bos.redhat.com
Subnets:                

Compute resources:      

Installation media:     

Templates:              
    Alterator default (provision)
    Alterator default finish (finish)
    Alterator default PXELinux (PXELinux)
    alterator_pkglist ()
    Atomic Kickstart default (provision)
    AutoYaST default (provision)
    AutoYaST default iPXE (iPXE)
    AutoYaST default PXELinux (PXELinux)
    AutoYaST SLES default (provision)
    Boot disk iPXE - generic host (Bootdisk)
    Boot disk iPXE - host (Bootdisk)
    chef_client ()
    coreos_cloudconfig ()
    CoreOS provision (provision)
    CoreOS PXELinux (PXELinux)
    Discovery Red Hat kexec (kexec)
    epel ()
    fix_hosts ()
    FreeBSD (mfsBSD) finish (finish)
    FreeBSD (mfsBSD) provision (provision)
    FreeBSD (mfsBSD) PXELinux (PXELinux)
    freeipa_register ()
    Grubby default (script)
    http_proxy ()
    Jumpstart default (provision)
    Jumpstart default finish (finish)
    Jumpstart default PXEGrub (PXEGrub)
    Junos default finish (finish)
    Junos default SLAX (provision)
    Junos default ZTP config (ZTP)
    Katello Atomic Kickstart Default (provision)
    Katello Kickstart Default (provision)
    Katello Kickstart Default Finish (finish)
    Katello Kickstart Default User Data (user_data)
    Kickstart default (provision)
    Kickstart default finish (finish)
    Kickstart default iPXE (iPXE)
    Kickstart default PXELinux (PXELinux)
    Kickstart default user data (user_data)
    kickstart_networking_setup ()
    Kickstart RHEL default (provision)
    NX-OS default POAP setup (POAP)
    Preseed default (provision)
    Preseed default finish (finish)
    Preseed default iPXE (iPXE)
    Preseed default PXELinux (PXELinux)
    Preseed default user data (user_data)
    preseed_networking_setup ()
    puppet.conf ()
    PXEGrub default local boot (PXEGrub)
    PXELinux chain iPXE (PXELinux)
    PXELinux chain iPXE UNDI (PXELinux)
    PXELinux default local boot (PXELinux)
    PXELinux default memdisk (PXELinux)
    PXELinux global default (PXELinux)
    redhat_register ()
    remote_execution_ssh_keys ()
    saltstack_minion ()
    subscription_manager_registration ()
    UserData default (user_data)
    WAIK default PXELinux (PXELinux)
Domains:                

Environments:           

Hostgroups:             

Parameters:             

Created at:             2016/04/11 20:04:41
Updated at:             2016/04/11 20:04:41
Label:                  yY9SiN5xbt
Description:            
Red Hat Repository URL: https://cdn.redhat.com


# LANG=en_US.UTF-8  hammer -v -u e6gnfe -p Vm59H6mWYc --output=csv subnet create --mask="255.255.255.0" --name="wdqTAahO6i" --network="114.148.191.0"
Message,Id,Name
Subnet created,2,wdqTAahO6i

# LANG=en_US.UTF-8  hammer -v -u e6gnfe -p Vm59H6mWYc  subnet info --id="2"
Id:            2
Name:          wdqTAahO6i
Network:       114.148.191.0
Mask:          255.255.255.0
Priority:      
DNS:           
Primary DNS:   
Secondary DNS: 
TFTP:          
DHCP:          
IPAM:          DHCP
VLAN ID:       
Gateway:       
From:          
To:            
Domains:


# LANG=en_US.UTF-8  hammer -v -u e6gnfe -p Vm59H6mWYc --output=csv domain create --name="AtgQExFsxL"
Message,Id,Name
Domain [AtgQExFsxL] created,3,AtgQExFsxL

# LANG=en_US.UTF-8  hammer -v -u e6gnfe -p Vm59H6mWYc  domain info --id="3"
Id:          3
Name:        AtgQExFsxL
Description: 
DNS Id:      
Subnets:     

Parameters:  

Created at:  2016/04/11 20:04:57
Updated at:  2016/04/11 20:04:57


# LANG=en_US.UTF-8  hammer -v -u e6gnfe -p Vm59H6mWYc --output=csv hostgroup create --domain-id="3" --name="CGDI9YS04F" --subnet-id="2"
Message,Id,Name
Hostgroup created,6,CGDI9YS04F

# LANG=en_US.UTF-8  hammer -v -u e6gnfe -p Vm59H6mWYc  hostgroup info --id="6"
Id:                     6
Name:                   CGDI9YS04F
Title:                  CGDI9YS04F
Subnet:                 wdqTAahO6i
Domain:                 AtgQExFsxL
Puppet CA Proxy Id:     
Puppet Master Proxy Id: 
Puppetclasses:          

Parameters:             

Parent Id:


# LANG=en_US.UTF-8  hammer -v -u e6gnfe -p Vm59H6mWYc  organization add-hostgroup --hostgroup-id="6" --id="144"
Locations you cannot remove locations that are used by hosts or inherited.

Comment 1 Elyézer Rezende 2016-04-11 20:16:48 UTC
Please not consider the additional info above. Here is the correct information:

# LANG=en_US.UTF-8  hammer -v -u admin -p changeme --output=csv user create --firstname="hfFs9Dd2sB" --password="nloJEYU47F" --admin="true" --lastname="lmrt9ovbpm" --mail="nvOovR@example.com" --login="nvOovR" --auth-source-id="1"'
Message,Id
User [nvOovR] created,14

# LANG=en_US.UTF-8  hammer -v -u admin -p changeme  user info --id="14"'
Id:                   14
Login:                nvOovR
Name:                 hfFs9Dd2sB lmrt9ovbpm
Email:                nvOovR@example.com
Admin:                yes
Authorized by:        Internal
Locale:               default
Timezone:             default
Last login:
Default organization:
Default location:
Roles:
    Anonymous
User groups:

Created at:           2016/04/11 19:24:30
Updated at:           2016/04/11 19:24:30


# LANG=en_US.UTF-8  hammer -v -u nvOovR -p nloJEYU47F --output=csv organization create --name="xgOX7uuB76"'
Message,Id,Name
Organization created,67,xgOX7uuB76

# LANG=en_US.UTF-8  hammer -v -u nvOovR -p nloJEYU47F  organization info --id="67"'
Id:                     67
Name:                   xgOX7uuB76
Users:

Smart proxies:
    rhsm-qe-4.rhq.lab.eng.bos.redhat.com
Subnets:

Compute resources:

Installation media:

Templates:
    Alterator default (provision)
    Alterator default finish (finish)
    Alterator default PXELinux (PXELinux)
    alterator_pkglist ()
    Atomic Kickstart default (provision)
    AutoYaST default (provision)
    AutoYaST default iPXE (iPXE)
    AutoYaST default PXELinux (PXELinux)
    AutoYaST SLES default (provision)
    Boot disk iPXE - generic host (Bootdisk)
    Boot disk iPXE - host (Bootdisk)
    chef_client ()
    coreos_cloudconfig ()
    CoreOS provision (provision)
    CoreOS PXELinux (PXELinux)
    Discovery Red Hat kexec (kexec)
    epel ()
    fix_hosts ()
    FreeBSD (mfsBSD) finish (finish)
    FreeBSD (mfsBSD) provision (provision)
    FreeBSD (mfsBSD) PXELinux (PXELinux)
    freeipa_register ()
    Grubby default (script)
    http_proxy ()
    Jumpstart default (provision)
    Jumpstart default finish (finish)
    Jumpstart default PXEGrub (PXEGrub)
    Junos default finish (finish)
    Junos default SLAX (provision)
    Junos default ZTP config (ZTP)
    Katello Atomic Kickstart Default (provision)
    Katello Kickstart Default (provision)
    Katello Kickstart Default Finish (finish)
    Katello Kickstart Default User Data (user_data)
    Kickstart default (provision)
    Kickstart default finish (finish)
    Kickstart default iPXE (iPXE)
    Kickstart default PXELinux (PXELinux)
    Kickstart default user data (user_data)
    kickstart_networking_setup ()
    Kickstart RHEL default (provision)
    NX-OS default POAP setup (POAP)
    Preseed default (provision)
    Preseed default finish (finish)
    Preseed default iPXE (iPXE)
    Preseed default PXELinux (PXELinux)
    Preseed default user data (user_data)
    preseed_networking_setup ()
    puppet.conf ()
    PXEGrub default local boot (PXEGrub)
    PXELinux chain iPXE (PXELinux)
    PXELinux chain iPXE UNDI (PXELinux)
    PXELinux default local boot (PXELinux)
    PXELinux default memdisk (PXELinux)
    PXELinux global default (PXELinux)
    redhat_register ()
    remote_execution_ssh_keys ()
    saltstack_minion ()
    subscription_manager_registration ()
    UserData default (user_data)
    WAIK default PXELinux (PXELinux)
Domains:

Environments:

Hostgroups:

Parameters:

Created at:             2016/04/11 19:24:42
Updated at:             2016/04/11 19:24:42
Label:                  xgOX7uuB76
Description:
Red Hat Repository URL: https://cdn.redhat.com


# LANG=en_US.UTF-8  hammer -v -u admin -p changeme  subscription upload --organization-id="67" --file="/tmp/manifest-1460402690.zip"'
Task bfae4521-8420-4a23-878a-b4c57bcae233 running: 0.0/1, 0%, elapsed: 00:00:00
Task bfae4521-8420-4a23-878a-b4c57bcae233 running: 0.0/1, 0%, 0.0/s, elapsed: 00:00:02
Task bfae4521-8420-4a23-878a-b4c57bcae233 running: 0.0/1, 0%, 0.0/s, elapsed: 00:00:04
Task bfae4521-8420-4a23-878a-b4c57bcae233 running: 0.0/1, 0%, 0.0/s, elapsed: 00:00:06
Task bfae4521-8420-4a23-878a-b4c57bcae233 running: 0.0/1, 0%, 0.0/s, elapsed: 00:00:08
Task bfae4521-8420-4a23-878a-b4c57bcae233 running: 0.0/1, 0%, 0.0/s, elapsed: 00:00:10
Task bfae4521-8420-4a23-878a-b4c57bcae233 running: 0.0/1, 0%, 0.0/s, elapsed: 00:00:12
Task bfae4521-8420-4a23-878a-b4c57bcae233 running: 0.0/1, 0%, 0.0/s, elapsed: 00:00:14
Task bfae4521-8420-4a23-878a-b4c57bcae233 running: 0.0/1, 0%, 0.0/s, elapsed: 00:00:16
Task bfae4521-8420-4a23-878a-b4c57bcae233 running: 0.0/1, 0%, 0.0/s, elapsed: 00:00:18
Task bfae4521-8420-4a23-878a-b4c57bcae233 running: 0.0/1, 0%, 0.0/s, elapsed: 00:00:20
Task bfae4521-8420-4a23-878a-b4c57bcae233 running: 0.0/1, 0%, 0.0/s, elapsed: 00:00:22
Task bfae4521-8420-4a23-878a-b4c57bcae233 running: 0.0/1, 0%, 0.0/s, elapsed: 00:00:24
Task bfae4521-8420-4a23-878a-b4c57bcae233 running: 0.0/1, 0%, 0.0/s, elapsed: 00:00:26
Task bfae4521-8420-4a23-878a-b4c57bcae233 running: 0.0/1, 0%, 0.0/s, elapsed: 00:00:28
Task bfae4521-8420-4a23-878a-b4c57bcae233 running: 0.0/1, 0%, 0.0/s, elapsed: 00:00:31
Task bfae4521-8420-4a23-878a-b4c57bcae233 running: 0.0/1, 0%, 0.0/s, elapsed: 00:00:33
Task bfae4521-8420-4a23-878a-b4c57bcae233 running: 0.0/1, 0%, 0.0/s, elapsed: 00:00:35
Task bfae4521-8420-4a23-878a-b4c57bcae233 running: 0.0/1, 0%, 0.0/s, elapsed: 00:00:37
Task bfae4521-8420-4a23-878a-b4c57bcae233 running: 0.0/1, 0%, 0.0/s, elapsed: 00:00:39
Task bfae4521-8420-4a23-878a-b4c57bcae233 running: 0.0/1, 0%, 0.0/s, elapsed: 00:00:41
Task bfae4521-8420-4a23-878a-b4c57bcae233 running: 0.0/1, 0%, 0.0/s, elapsed: 00:00:43
Task bfae4521-8420-4a23-878a-b4c57bcae233 running: 0.0/1, 0%, 0.0/s, elapsed: 00:00:45
Task bfae4521-8420-4a23-878a-b4c57bcae233 running: 0.0/1, 0%, 0.0/s, elapsed: 00:00:47
Task bfae4521-8420-4a23-878a-b4c57bcae233 running: 0.0/1, 0%, 0.0/s, elapsed: 00:00:49
Task bfae4521-8420-4a23-878a-b4c57bcae233 success: 1.0/1, 100%, 0.0/s, elapsed: 00:00:51
Task bfae4521-8420-4a23-878a-b4c57bcae233 success: 1.0/1, 100%, 0.0/s, elapsed: 00:00:51


# LANG=en_US.UTF-8  hammer -v -u nvOovR -p nloJEYU47F --output=csv lifecycle-environment create --organization-id="67" --prior="Library" --name="VECq7ryan5"'
Message,Id,Name
Environment created,88,VECq7ryan5

# LANG=en_US.UTF-8  hammer -v -u nvOovR -p nloJEYU47F  lifecycle-environment info --organization-id="67" --id="88"'
ID:                          88
Name:                        VECq7ryan5
Label:                       VECq7ryan5
Description:
Organization:                xgOX7uuB76
Library:                     false
Prior Lifecycle Environment: Library


# LANG=en_US.UTF-8  hammer -v -u nvOovR -p nloJEYU47F --output=csv product create --organization-id="67" --name="PnXfbgmc1r"'
Message,Id,Name
Product created,73,PnXfbgmc1r

# LANG=en_US.UTF-8  hammer -v -u nvOovR -p nloJEYU47F  product info --organization-id="67" --id="73"'
ID:           73
Name:         PnXfbgmc1r
Label:        PnXfbgmc1r
Description:
Sync State:
Sync Plan ID:
GPG:
    GPG Key ID:
    GPG Key:
Organization: xgOX7uuB76
Readonly:
Deletable:
Content:


# LANG=en_US.UTF-8  hammer -v -u nvOovR -p nloJEYU47F --output=csv repository create --url="http://dl.google.com/linux/chrome/rpm/stable/x86_64" --publish-via-http="true" --name="uYSGH3FO6b" --product-id="73" --content-type="yum"'
Message,Id,Name
Repository created,130,uYSGH3FO6b

# LANG=en_US.UTF-8  hammer -v -u nvOovR -p nloJEYU47F  repository info --id="130"'
ID:                 130
Name:               uYSGH3FO6b
Label:              uYSGH3FO6b
Organization:       xgOX7uuB76
Red Hat Repository: no
Content Type:       yum
URL:                http://dl.google.com/linux/chrome/rpm/stable/x86_64
Publish Via HTTP:   yes
Published At:       http://rhsm-qe-4.rhq.lab.eng.bos.redhat.com/pulp/repos/xgOX7uuB76/Library/custom/PnXfbgmc1r/uYSGH3FO6b
Relative Path:      xgOX7uuB76/Library/custom/PnXfbgmc1r/uYSGH3FO6b
Download Policy:    immediate
Product:
    ID:   73
    Name: PnXfbgmc1r
GPG Key:

Sync:
    Status: Not Synced
Created:            2016/04/11 19:26:07
Updated:            2016/04/11 19:26:08
Content Counts:
    Packages:       0
    Package Groups: 0
    Errata:         0


# LANG=en_US.UTF-8  hammer -v -u nvOovR -p nloJEYU47F --output=csv repository create --url="http://davidd.fedorapeople.org/repos/random_puppet/" --publish-via-http="true" --name="5xU3ImTmoq" --product-id="73" --content-type="puppet"'
Message,Id,Name
Repository created,131,5xU3ImTmoq

# LANG=en_US.UTF-8  hammer -v -u nvOovR -p nloJEYU47F  repository info --id="131"'
ID:                 131
Name:               5xU3ImTmoq
Label:              5xU3ImTmoq
Organization:       xgOX7uuB76
Red Hat Repository: no
Content Type:       puppet
URL:                http://davidd.fedorapeople.org/repos/random_puppet/
Publish Via HTTP:   yes
Published At:       http://rhsm-qe-4.rhq.lab.eng.bos.redhat.com/pulp/puppet/xgOX7uuB76-PnXfbgmc1r-5xU3ImTmoq
Relative Path:      xgOX7uuB76/Library/custom/PnXfbgmc1r/5xU3ImTmoq
Product:
    ID:   73
    Name: PnXfbgmc1r
GPG Key:

Sync:
    Status: Not Synced
Created:            2016/04/11 19:26:16
Updated:            2016/04/11 19:26:17
Content Counts:
    Puppet Modules: 0


# LANG=en_US.UTF-8  hammer -v -u admin -p changeme --output=csv repository-set enable --organization-id="67" --name="Red Hat Enterprise Virtualization Agents for RHEL 6 Server (RPMs)" --product="Red Hat Enterprise Linux Server" --basearch="x86_64" --releasever="6Server"'
Message,Id
Repository enabled,90e71050-abe4-4069-93c1-43b36e0ac748

# LANG=en_US.UTF-8  hammer -v -u admin -p changeme  repository info --organization-id="67" --product="Red Hat Enterprise Linux Server" --name="Red Hat Enterprise Virtualization Agents for RHEL 6 Server RPMs x86_64 6Server"'
ID:                 132
Name:               Red Hat Enterprise Virtualization Agents for RHEL 6 Server RPMs x86_64 6Server
Label:              Red_Hat_Enterprise_Virtualization_Agents_for_RHEL_6_Server_RPMs_x86_64_6Server
Organization:       xgOX7uuB76
Red Hat Repository: yes
Content Type:       yum
URL:                https://cdn.redhat.com/content/dist/rhel/server/6/6Server/x86_64/rhev-agent/3/os
Publish Via HTTP:   no
Published At:       https://rhsm-qe-4.rhq.lab.eng.bos.redhat.com/pulp/repos/xgOX7uuB76/Library/content/dist/rhel/server/6/6Server/x86_64/rhev-agent/3/os
Relative Path:      xgOX7uuB76/Library/content/dist/rhel/server/6/6Server/x86_64/rhev-agent/3/os
Download Policy:    immediate
Product:
    ID:   71
    Name: Red Hat Enterprise Linux Server
GPG Key:

Sync:
    Status: Not Synced
Created:            2016/04/11 19:26:25
Updated:            2016/04/11 19:26:25
Content Counts:
    Packages:       0
    Package Groups: 0
    Errata:         0


# LANG=en_US.UTF-8  hammer -v -u nvOovR -p nloJEYU47F --output=csv repository synchronize --id="130"'
No new packages.

Task 38eddf21-3a1b-4e56-9f79-4b29421033d6 running: 0.0/1, 0%, elapsed: 00:00:00
Task 38eddf21-3a1b-4e56-9f79-4b29421033d6 running: 0.005/1, 0%, 0.0/s, elapsed: 00:00:02, ETA: 00:06:52
Task 38eddf21-3a1b-4e56-9f79-4b29421033d6 running: 0.005/1, 0%, 0.0/s, elapsed: 00:00:06, ETA: 00:13:44
Task 38eddf21-3a1b-4e56-9f79-4b29421033d6 success: 1.0/1, 100%, 0.2/s, elapsed: 00:00:09
Task 38eddf21-3a1b-4e56-9f79-4b29421033d6 success: 1.0/1, 100%, 0.2/s, elapsed: 00:00:09


# LANG=en_US.UTF-8  hammer -v -u nvOovR -p nloJEYU47F --output=csv repository synchronize --id="131"'
Total module count: 4.

Task 0e22c53f-ac46-4c68-acc6-5ce74f61d4f1 running: 0.0/1, 0%, elapsed: 00:00:00
Task 0e22c53f-ac46-4c68-acc6-5ce74f61d4f1 running: 0.0/1, 0%, 0.0/s, elapsed: 00:00:02
Task 0e22c53f-ac46-4c68-acc6-5ce74f61d4f1 running: 0.125/1, 12%, 0.0/s, elapsed: 00:00:04, ETA: 00:00:28
Task 0e22c53f-ac46-4c68-acc6-5ce74f61d4f1 running: 0.375/1, 37%, 0.1/s, elapsed: 00:00:06, ETA: 00:00:10
Task 0e22c53f-ac46-4c68-acc6-5ce74f61d4f1 success: 1.0/1, 100%, 0.1/s, elapsed: 00:00:08
Task 0e22c53f-ac46-4c68-acc6-5ce74f61d4f1 success: 1.0/1, 100%, 0.1/s, elapsed: 00:00:08


# LANG=en_US.UTF-8  hammer -v -u nvOovR -p nloJEYU47F --output=csv repository synchronize --id="132"'
No new packages.

Task 2011fd39-ea4f-4ab2-8f2e-8b1706a38722 running: 0.0/1, 0%, elapsed: 00:00:00
Task 2011fd39-ea4f-4ab2-8f2e-8b1706a38722 running: 0.005/1, 0%, 0.0/s, elapsed: 00:00:02, ETA: 00:06:54
Task 2011fd39-ea4f-4ab2-8f2e-8b1706a38722 running: 0.005/1, 0%, 0.0/s, elapsed: 00:00:04, ETA: 00:13:49
Task 2011fd39-ea4f-4ab2-8f2e-8b1706a38722 running: 0.005/1, 0%, 0.0/s, elapsed: 00:00:06, ETA: 00:20:44
Task 2011fd39-ea4f-4ab2-8f2e-8b1706a38722 running: 0.005/1, 0%, 0.0/s, elapsed: 00:00:08, ETA: 00:27:39
Task 2011fd39-ea4f-4ab2-8f2e-8b1706a38722 running: 0.55/1, 55%, 0.1/s, elapsed: 00:00:10, ETA: 00:00:08
Task 2011fd39-ea4f-4ab2-8f2e-8b1706a38722 success: 1.0/1, 100%, 0.1/s, elapsed: 00:00:12
Task 2011fd39-ea4f-4ab2-8f2e-8b1706a38722 success: 1.0/1, 100%, 0.1/s, elapsed: 00:00:12


# LANG=en_US.UTF-8  hammer -v -u nvOovR -p nloJEYU47F --output=csv content-view create --organization-id="67" --name="GolqvAA5Kr"'
Message,Id,Name
Content view created,90,GolqvAA5Kr

# LANG=en_US.UTF-8  hammer -v -u nvOovR -p nloJEYU47F  content-view info --id="90"'
ID:                     90
Name:                   GolqvAA5Kr
Label:                  GolqvAA5Kr
Composite:              false
Description:
Content Host Count:     0
Organization:           xgOX7uuB76
Yum Repositories:

Docker Repositories:

OSTree Repositories:

Puppet Modules:

Lifecycle Environments:

Versions:

Components:

Activation Keys:


# LANG=en_US.UTF-8  hammer -v -u admin -p changeme --output=csv content-view add-repository --organization-id="67" --id="90" --repository-id="130"'
Message,Id,Name
The repository has been associated,90,GolqvAA5Kr

# LANG=en_US.UTF-8  hammer -v -u admin -p changeme --output=csv content-view add-repository --organization-id="67" --id="90" --repository-id="132"'
Message,Id,Name
The repository has been associated,90,GolqvAA5Kr

# LANG=en_US.UTF-8  hammer -v -u nvOovR -p nloJEYU47F --output=csv puppet-module list --repository-id="131"'
ID,Name,Author,Version,Uuid
4,httpd,5ubZ3r0,0.2.0,deb0b39f-e6a2-4e3a-a8f8-8c90a7ee61dc
3,samba,puppet,0.2.0,63a76684-8694-416c-b505-47ca48f59d48
2,pureftpd,saz,1.0.2,61b40ad4-06f3-4787-b3d1-f49fb3125843
1,cron,puppet,0.0.1,277ca1a8-eac3-4cf1-80b6-a26fcc45419d

# LANG=en_US.UTF-8  hammer -v -u nvOovR -p nloJEYU47F --output=csv content-view puppet-module add --id="1" --content-view-id="90"'
Message,Id,Name
Puppet module added to content view,8,cron

# LANG=en_US.UTF-8  hammer -v -u nvOovR -p nloJEYU47F  content-view publish --id="90"'
Task e0abdc5d-dac3-4df1-877d-6fd2c53881f9 planned: 0.0/1, 0%, elapsed: 00:00:00
Task e0abdc5d-dac3-4df1-877d-6fd2c53881f9 running: 0.2711864406779661/1, 27%, 0.1/s, elapsed: 00:00:02, ETA: 00:00:05
Task e0abdc5d-dac3-4df1-877d-6fd2c53881f9 running: 0.4067796610169492/1, 40%, 0.1/s, elapsed: 00:00:04, ETA: 00:00:06
Task e0abdc5d-dac3-4df1-877d-6fd2c53881f9 running: 0.5847457627118644/1, 58%, 0.1/s, elapsed: 00:00:06, ETA: 00:00:04
Task e0abdc5d-dac3-4df1-877d-6fd2c53881f9 running: 0.7288135593220338/1, 72%, 0.1/s, elapsed: 00:00:08, ETA: 00:00:03
Task e0abdc5d-dac3-4df1-877d-6fd2c53881f9 running: 0.8220338983050848/1, 82%, 0.1/s, elapsed: 00:00:10, ETA: 00:00:02
Task e0abdc5d-dac3-4df1-877d-6fd2c53881f9 running: 0.9491525423728814/1, 94%, 0.1/s, elapsed: 00:00:12
Task e0abdc5d-dac3-4df1-877d-6fd2c53881f9 success: 1.0/1, 100%, 0.1/s, elapsed: 00:00:15
Task e0abdc5d-dac3-4df1-877d-6fd2c53881f9 success: 1.0/1, 100%, 0.1/s, elapsed: 00:00:15


# LANG=en_US.UTF-8  hammer -v -u nvOovR -p nloJEYU47F  content-view info --id="90"'
ID:                     90
Name:                   GolqvAA5Kr
Label:                  GolqvAA5Kr
Composite:              false
Description:
Content Host Count:     0
Organization:           xgOX7uuB76
Yum Repositories:
 1) ID:    130
    Name:  uYSGH3FO6b
    Label: uYSGH3FO6b
 2) ID:    132
    Name:  Red Hat Enterprise Virtualization Agents for RHEL 6 Server RPMs x86_64 6Server
    Label: Red_Hat_Enterprise_Virtualization_Agents_for_RHEL_6_Server_RPMs_x86_64_6Server
Docker Repositories:

OSTree Repositories:

Puppet Modules:
 1) ID:      8
    UUID:    277ca1a8-eac3-4cf1-80b6-a26fcc45419d
    Name:    cron
    Author:  puppet
    Created: 2016/04/11 19:27:41
    Updated: 2016/04/11 19:27:41
Lifecycle Environments:
 1) ID:   86
    Name: Library
Versions:
 1) ID:        85
    Version:   1.0
    Published: 2016/04/11 19:27:45
Components:

Activation Keys:


# LANG=en_US.UTF-8  hammer -v -u nvOovR -p nloJEYU47F  content-view version info --id="85"'
ID:                     85
Name:                   GolqvAA5Kr 1.0
Version:                1.0
Description:
Content View ID:        90
Content View Name:      GolqvAA5Kr
Content View Label:     GolqvAA5Kr
Lifecycle Environments:
 1) ID:    86
    Name:  Library
    Label: Library
Repositories:
 1) ID:    135
    Name:  Red Hat Enterprise Virtualization Agents for RHEL 6 Server RPMs x86_64 6Server
    Label: Red_Hat_Enterprise_Virtualization_Agents_for_RHEL_6_Server_RPMs_x86_64_6Server
 2) ID:    133
    Name:  uYSGH3FO6b
    Label: uYSGH3FO6b
Puppet Modules:
 1) ID:      1
    Name:    cron
    Author:  puppet
    Version: 0.0.1


# LANG=en_US.UTF-8  hammer -v -u nvOovR -p nloJEYU47F  content-view version promote --id="85" --to-lifecycle-environment-id="88"'
Task ad3c7f80-9a6d-4a7f-98ed-7f30d1dcb716 planned: 0.0/1, 0%, elapsed: 00:00:00
Task ad3c7f80-9a6d-4a7f-98ed-7f30d1dcb716 running: 0.4666666666666667/1, 46%, 0.2/s, elapsed: 00:00:02, ETA: 00:00:02
Task ad3c7f80-9a6d-4a7f-98ed-7f30d1dcb716 running: 0.6666666666666666/1, 66%, 0.2/s, elapsed: 00:00:04, ETA: 00:00:02
Task ad3c7f80-9a6d-4a7f-98ed-7f30d1dcb716 running: 0.9/1, 90%, 0.1/s, elapsed: 00:00:06
Task ad3c7f80-9a6d-4a7f-98ed-7f30d1dcb716 success: 1.0/1, 100%, 0.1/s, elapsed: 00:00:08
Task ad3c7f80-9a6d-4a7f-98ed-7f30d1dcb716 success: 1.0/1, 100%, 0.1/s, elapsed: 00:00:08


# LANG=en_US.UTF-8  hammer -v -u nvOovR -p nloJEYU47F  content-view info --id="90"'
ID:                     90
Name:                   GolqvAA5Kr
Label:                  GolqvAA5Kr
Composite:              false
Description:
Content Host Count:     0
Organization:           xgOX7uuB76
Yum Repositories:
 1) ID:    130
    Name:  uYSGH3FO6b
    Label: uYSGH3FO6b
 2) ID:    132
    Name:  Red Hat Enterprise Virtualization Agents for RHEL 6 Server RPMs x86_64 6Server
    Label: Red_Hat_Enterprise_Virtualization_Agents_for_RHEL_6_Server_RPMs_x86_64_6Server
Docker Repositories:

OSTree Repositories:

Puppet Modules:
 1) ID:      8
    UUID:    277ca1a8-eac3-4cf1-80b6-a26fcc45419d
    Name:    cron
    Author:  puppet
    Created: 2016/04/11 19:27:41
    Updated: 2016/04/11 19:27:41
Lifecycle Environments:
 1) ID:   86
    Name: Library
 2) ID:   88
    Name: VECq7ryan5
Versions:
 1) ID:        85
    Version:   1.0
    Published: 2016/04/11 19:27:45
Components:

Activation Keys:


# LANG=en_US.UTF-8  hammer -v -u nvOovR -p nloJEYU47F  content-view version info --id="85"'
ID:                     85
Name:                   GolqvAA5Kr 1.0
Version:                1.0
Description:
Content View ID:        90
Content View Name:      GolqvAA5Kr
Content View Label:     GolqvAA5Kr
Lifecycle Environments:
 1) ID:    86
    Name:  Library
    Label: Library
 2) ID:    88
    Name:  VECq7ryan5
    Label: VECq7ryan5
Repositories:
 1) ID:    135
    Name:  Red Hat Enterprise Virtualization Agents for RHEL 6 Server RPMs x86_64 6Server
    Label: Red_Hat_Enterprise_Virtualization_Agents_for_RHEL_6_Server_RPMs_x86_64_6Server
 2) ID:    133
    Name:  uYSGH3FO6b
    Label: uYSGH3FO6b
Puppet Modules:
 1) ID:      1
    Name:    cron
    Author:  puppet
    Version: 0.0.1


# LANG=en_US.UTF-8  hammer -v -u nvOovR -p nloJEYU47F --output=csv activation-key create --organization-id="67" --name="szZC4Goa5P" --lifecycle-environment-id="88" --content-view-id="90"'
Message,Id,Name
Activation key created,66,szZC4Goa5P

# LANG=en_US.UTF-8  hammer -v -u nvOovR -p nloJEYU47F  activation-key info --id="66"'
Name:                  szZC4Goa5P
ID:                    66
Description:
Host Limit:            Unlimited
Auto Attach:           true
Lifecycle Environment: VECq7ryan5
Content View:          GolqvAA5Kr
Host Collections:


# LANG=en_US.UTF-8  hammer -v -u nvOovR -p nloJEYU47F --output=csv subscription list --organization-id="67"'
Name,Contract,Account,Support,Quantity,Consumed,End Date,ID,Product,Quantity,Attached
"Red Hat Enterprise Linux Server Entry Level, Self-support",10800893,477931,Self-Support,25,0,2016-10-14T03:59:59.000+0000,41,"Red Hat Enterprise Linux Server Entry Level, Self-support",25,0
PnXfbgmc1r,,,,-1,0,2046-04-04T19:25:59.103+0000,43,PnXfbgmc1r,-1,0

# LANG=en_US.UTF-8  hammer -v -u nvOovR -p nloJEYU47F  activation-key add-subscription --quantity="1" --id="66" --subscription-id="41"'
Subscription added to activation key

# LANG=en_US.UTF-8  hammer -v -u nvOovR -p nloJEYU47F  activation-key content-override --organization-id="67" --id="66" --content-label="rhel-6-server-rhev-agent-rpms" --value="1"'
Updated content override

# LANG=en_US.UTF-8  hammer -v -u nvOovR -p nloJEYU47F --output=csv content-host create --organization-id="67" --name="d11cx4Chyg" --lifecycle-environment-id="88" --content-view-id="90"'
Name,ID,Katello Agent Installed,Description,Location,Lifecycle Environment,Content View,Entitlement Status,Release Version,Autoheal,Security Errata,Bugfix Errata,Enhancement Errata
d11cx4chyg,cfdd710a-379b-4d39-99f9-be651588c47f,false,,None,VECq7ryan5,GolqvAA5Kr,valid,,true,0,0,0
Message,Id,Name
Content host created,cfdd710a-379b-4d39-99f9-be651588c47f,d11cx4chyg

# LANG=en_US.UTF-8  hammer -v -u nvOovR -p nloJEYU47F  content-host info --id="cfdd710a-379b-4d39-99f9-be651588c47f"'
Name:                    d11cx4chyg
ID:                      cfdd710a-379b-4d39-99f9-be651588c47f
Katello Agent Installed: no
Description:
Location:                None
Lifecycle Environment:   VECq7ryan5
Content View:            GolqvAA5Kr
Entitlement Status:      valid
Release Version:
Autoheal:                true
Security Errata:         0
Bugfix Errata:           0
Enhancement Errata:      0


# LANG=en_US.UTF-8  hammer -v -u nvOovR -p nloJEYU47F --output=csv compute-resource create --url="qemu+tcp://rhsm-qe-4.rhq.lab.eng.bos.redhat.com:16509/system" --provider="Libvirt" --name="wBYBW02j0P"'
Message,Id,Name
Compute resource created,10,wBYBW02j0P

# LANG=en_US.UTF-8  hammer -v -u nvOovR -p nloJEYU47F  compute-resource info --id="10"'
Id:          10
Name:        wBYBW02j0P
Provider:    Libvirt
Url:         qemu+tcp://rhsm-qe-4.rhq.lab.eng.bos.redhat.com:16509/system
Description:
User:
Created at:  2016/04/11 19:29:13
Updated at:  2016/04/11 19:29:13


# LANG=en_US.UTF-8  hammer -v -u nvOovR -p nloJEYU47F --output=csv subnet create --network="65.173.89.0" --mask="255.255.255.0" --name="oGdFPbUtbZ"'
Message,Id,Name
Subnet created,1,oGdFPbUtbZ

# LANG=en_US.UTF-8  hammer -v -u nvOovR -p nloJEYU47F  subnet info --id="1"'
Id:            1
Name:          oGdFPbUtbZ
Network:       65.173.89.0
Mask:          255.255.255.0
Priority:
DNS:
Primary DNS:
Secondary DNS:
TFTP:
DHCP:
IPAM:          DHCP
VLAN ID:
Gateway:
From:
To:
Domains:


# LANG=en_US.UTF-8  hammer -v -u nvOovR -p nloJEYU47F --output=csv domain create --name="sPg0MLBaNc"'
Message,Id,Name
Domain [sPg0MLBaNc] created,2,sPg0MLBaNc

# LANG=en_US.UTF-8  hammer -v -u nvOovR -p nloJEYU47F  domain info --id="2"'
Id:          2
Name:        sPg0MLBaNc
Description:
DNS Id:
Subnets:

Parameters:

Created at:  2016/04/11 19:29:28
Updated at:  2016/04/11 19:29:28


# LANG=en_US.UTF-8  hammer -v -u nvOovR -p nloJEYU47F --output=csv hostgroup create --domain-id="2" --name="J8lxVhM2z3" --subnet-id="1"'
Message,Id,Name
Hostgroup created,1,J8lxVhM2z3

# LANG=en_US.UTF-8  hammer -v -u nvOovR -p nloJEYU47F  hostgroup info --id="1"'
Id:                     1
Name:                   J8lxVhM2z3
Title:                  J8lxVhM2z3
Subnet:                 oGdFPbUtbZ
Domain:                 sPg0MLBaNc
Puppet CA Proxy Id:
Puppet Master Proxy Id:
Puppetclasses:

Parameters:

Parent Id:


# LANG=en_US.UTF-8  hammer -v -u nvOovR -p nloJEYU47F  organization add-hostgroup --hostgroup-id="1" --id="67"'
[ERROR 2016-04-11 15:29:44 Exception] Locations you cannot remove locations that are used by hosts or inherited.
Locations you cannot remove locations that are used by hosts or inherited.

Comment 2 Tom McKay 2016-04-11 20:17:03 UTC
Created redmine issue http://projects.theforeman.org/issues/14583 from this bug

Comment 4 Bryan Kearney 2016-04-11 22:02:53 UTC
Upstream bug component is Provisioning

Comment 5 Bryan Kearney 2016-04-12 08:02:48 UTC
Upstream bug component is Organizations and Locations

Comment 6 Brad Buckingham 2016-04-20 17:46:55 UTC
The error message on this bug is very similar to bug 1287518.

Comment 8 Lukas Zapletal 2016-05-16 09:36:01 UTC
The validation error "cannot remove XYZ that are used by hosts or inherited" is reported when there are mismatches between objects. I was NOT able to reproduce this particular one, but there was another bug 1287518 reported I was able to reproduce by creating an organization and location as two separate entities that do not belong to each other. Then all attempts to create a lifecycle environment failed.

To fix this, visit Mismatches report and find all related entities, then use the button to fix them all at once.

I can't find anything that shall be fixed in this case, it's misconfiguration at user side. I think the validation error message is misleading, it can appear when new Lifecycle Environment or a Hostgroup is being created. Therefore I suggest to reword it a bit to something like "Missing location" or "Expecting organization used by hosts or inherited".

For GA, I suggest to create a KBASE article explaining the error (or the reworded version) and how to fix it.

Comment 11 Bryan Kearney 2016-07-08 20:41:34 UTC
Per 6.3 planning, moving out non acked bugs to the backlog

Comment 13 Bryan Kearney 2017-03-14 17:21:20 UTC
An upstream issue has been opened for this. When this is fixed, the next version of satellite will contain the fix. We will no longer be tracking this downstream. If you feel this was closed in error, please feel free to re-open with additional information.


Note You need to log in before you can comment on or make changes to this bug.